#!/usr/bin/perl -w

# Title:	MT-Revision Plugin Diff Output
# Summary:	A plugin to show revision history
# Author:	Curt Siffert (http://www.museworld.com/)
# Version:	0.9
# Date:		February 20, 2004
#
# Copyright 2004 Curt Siffert
# This code cannot be redistributed without
# permission from the author. 

use strict;

my($MT_DIR);
BEGIN {
    if ($0 =~ m!(.*[/\\])!) {
        $MT_DIR = $1;
    } else {
        $MT_DIR = './';
    }
    unshift @INC, $MT_DIR . 'lib';
    unshift @INC, $MT_DIR . 'extlib';
}

eval {
	require keenworks::Revision;
	my $app = keenworks::Revision->new ( Config => $MT_DIR . 'mt.cfg',
							Directory => $MT_DIR )
	or die keenworks::Revision->errstr;
  local $SIG{__WARN__} = sub { $app->trace ($_[0]) };
  $app->run;
  #print '<div id="versiontag">MT-Revision Version '.$app->VERSION.'<br />Script execution time: '.(time - $^T).' seconds</div></div>'. ($app->{dumpwarnings} ? $app->dumpwarn : '').$app->{query}->end_html;
};

if ($@) {
  print "Content-Type: text/html\n\n";
  print "An error occurred: $@";
}

